//-----------------------------------------------------------------------------
//  (c) 2007 by Basler Vision Technologies
//  Division: Machine Vision
//  Sample for storing a configuration set and make it the startup set
//  Author:  F.K.
//  Header: StoreConfigurationSet.h
// 
//	returns:	- 0 
//				- 1 
//				- ?
//-----------------------------------------------------------------------------

#ifndef __STORECONFIGURATIONSET_H__
#define __STORECONFIGURATIONSET_H__

#if _MSC_VER > 1000
#pragma once
#endif //_MSC_VER > 1000

// include files to use the PYLON API
#include <pylon/PylonIncludes.h>
#include <pylon/TlFactory.h>
#include <pylon/Result.h>
using namespace Pylon;

// settings to use Basler GigE cameras
#include <pylon/gige/BaslerGigeCamera.h>
using namespace Basler_GigECameraParams;
using namespace Basler_GigEStreamParams;
using namespace Basler_GigETLParams;


void StoreToConfigSet (Pylon::CBaslerGigECamera &Camera, 
					   int64_t PacketSize,
					   int64_t InterPacketDelay,
					   UserSetSelectorEnums UserSet, 
					   bool bStartUp);


#endif //__STORECONFIGURATIONSET_H__